## volatildap 1.2.2

=== Makefile ===
PACKAGE=volatildap
TESTS_DIR=tests

FLAKE8 = flake8

default:

clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete

upgrade:
	pip install --upgrade pip setuptools
	pip install --upgrade -r requirements_dev.txt
	pip freeze

release:
	fullrelease

.PHONY: default clean upgrade release

testall:
	tox

test:
	python -Wdefault -m unittest discover $(TESTS_DIR)

.PHONY: test testall

# Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
lint: flake8 isort check-manifest

flake8:
	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE) $(TESTS_DIR)
	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py

isort:
	isort $(PACKAGE) $(TESTS_DIR) --recursive --check-only --diff --project $(PACKAGE) --project $(TESTS_DIR)

check-manifest:
	check-manifest

.PHONY: lint flake8 isort check-manifest

=== debian/changelog ===
volatildap (1.2.2-1) unstable; urgency=medium

  * New upstream release 1.2.2
    - Upstream fixed the DS issue
  * d/control:
    - Update Standards-Version to 4.2.0. No change required

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 18 Aug 2018 00:06:29 +0200

volatildap (1.1.0+ds.1-1) unstable; urgency=low

  * Initial release (Closes: #895679)

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 15 Apr 2018 18:39:08 +0200

=== debian/control ===
Source: volatildap
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>
Homepage: https://github.com/rbarrois/volatildap/
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/python-team/modules/volatildap.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/volatildap

Package: python3-volatildap
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: slapd, ldapscripts
Description: Temporary slapd launcher for testing purposes
 volatildap provides simple helpers for testing code against a LDAP database.
 .
 Its main features include:
 .
   * Simple configuration: Don’t provide anything the LDAP server will start
     with sane defaults
   * Built-in cleanup: As soon as the test ends / the test process exits, the
     server is instantly removed
   * Cross-distribution setup: Automatically discover system paths for
     OpenLDAP binaries, schemas, etc.
 .
 This package provides the Python3 version of volatildap

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @,
         python3-setuptools,
         python3-psutil
Restrictions: allow-stderr,
              needs-recommends

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds\.\d+$/$1/" \
https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## volatildap 1.3.0

=== tests/minipki/Makefile ===

DOMAIN = volatildap.org

export DOMAIN

# Main paths
ROOT_CAFILE = ca-$(DOMAIN).crt
ROOT_TEMPKEY = ca-$(DOMAIN).key
INTERM_CRT = interm-$(DOMAIN).crt
INTERM_CSR = interm-$(DOMAIN).csr
INTERM_KEY = interm-$(DOMAIN).key

OPENSSL_CA = openssl-ca-$(DOMAIN).cnf

# Certificate validity (same for every file)
CERT_DAYS = 3650



default: bootstrap

bootstrap: $(INTERM_CRT)

test-cert: localhost.$(DOMAIN).crt

.PHONY: default test-cert

# Generate root CA, intermediate csr, sign intermediate.
$(OPENSSL_CA): openssl-ca.cnf.in
	cat $< | envsubst > $@

$(ROOT_CAFILE) $(ROOT_TEMPKEY): $(OPENSSL_CA)
	openssl req -config $< -x509 -extensions root_certificate -out $(ROOT_CAFILE) -keyout $(ROOT_TEMPKEY) \
	    -days $(CERT_DAYS) -nodes

$(INTERM_CSR) $(INTERM_KEY): $(OPENSSL_CA)
	openssl req -config $< -newkey rsa -nodes -out $(INTERM_CSR) -keyout $(INTERM_KEY)

$(INTERM_CRT): $(ROOT_CAFILE) $(INTERM_CSR) $(OPENSSL_CA)
	echo '01' > $<.srl
	openssl x509 -extfile $(OPENSSL_CA) -extensions interm_ca -req -days $(CERT_DAYS) \
	    -in $(INTERM_CSR) -out $@ \
	    -CA $(ROOT_CAFILE) -CAkey $(ROOT_TEMPKEY) -CAserial $<.srl
	rm $(ROOT_TEMPKEY)
	rm $<.srl

# Generate all forms of leaf certificates

%.csr %.key: openssl-%.cnf
	openssl req -config $< -newkey rsa -nodes -out $*.csr -keyout $*.key

%.crt: %.csr $(INTERM_CRT) $(INTERM_KEY) openssl-%.cnf
	echo '01' > $*.srl
	openssl x509 -extfile openssl-$*.cnf -extensions leaf_cert -req -days $(CERT_DAYS) \
	    -in $< -out $@ \
	    -CA $(INTERM_CRT) -CAkey $(INTERM_KEY) -CAserial $*.srl
	rm $*.srl

openssl-%.cnf: openssl-leaf.cnf.in
	cat $< | FQDN=$* envsubst > $@


clean:
	-rm leaf-*

.PHONY: clean


hard-reset: clean
	-rm $(ROOT_CAFILE) $(INTERM_KEY) $(INTERM_CRT) *.cnf *.csr *.srl

.PHONY: hard-reset

=== debian/changelog ===
volatildap (1.3.0-2ubuntu2) focal; urgency=medium

  * d/t/run-tests: only amend the apparmor profile if apparmor is
    installed and enabled.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 09 Jan 2020 20:44:59 -0300

volatildap (1.3.0-2ubuntu1) focal; urgency=medium

  * d/t/control, d/t/run-tests: amend the slapd apparmor profile
    to allow the tests to use /tmp/** for the slapd daemon
    (LP: #1858800)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Jan 2020 18:11:17 -0300

volatildap (1.3.0-2) unstable; urgency=medium

  * Source-only release.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 16 Jul 2019 22:34:50 +0200

volatildap (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0
  * d/control:
    - Swap my crans address with my debian address
  * d/t/control:
    - Drop the deprecated needs-recommends constraint and add an explicit
      dependency on the needed packages.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 13 Jul 2019 14:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: volatildap
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Pierre-Elliott Bécue <becue@crans.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Homepage: https://github.com/rbarrois/volatildap/
 Section: python
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=volatildap

%:
	dh $@ --with python3 --buildsystem=pybuild

# The tests require a live LDAP database (slapd), so they are run via
# autopkgtest after the build.
override_dh_auto_test:

## volatildap 1.5.0

=== Makefile ===
--- 
+++ 
@@ -32,11 +32,11 @@
 lint: flake8 isort check-manifest
 
 flake8:
-	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE) $(TESTS_DIR)
-	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py
+	$(FLAKE8) --exclude $(PACKAGE)/__init__.py $(PACKAGE) $(TESTS_DIR)
+	$(FLAKE8) --ignore F401 $(PACKAGE)/__init__.py
 
 isort:
-	isort $(PACKAGE) $(TESTS_DIR) --recursive --check-only --diff --project $(PACKAGE) --project $(TESTS_DIR)
+	isort $(PACKAGE) $(TESTS_DIR) --check-only --diff --project $(PACKAGE) --project $(TESTS_DIR)
 
 check-manifest:
 	check-manifest

=== debian/changelog ===
volatildap (1.5.0-3) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/t/control, d/t/run-tests: amend the slapd apparmor profile
    to allow the tests to use /tmp/** for the slapd daemon

 -- Bastian Germann <bage@debian.org>  Mon, 27 Feb 2023 10:30:07 +0100

volatildap (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Use (L)MDB backend (Closes: #990335)

 -- Bastian Germann <bage@debian.org>  Fri, 16 Dec 2022 01:10:00 +0100

volatildap (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.5.0
  * Bump Standards-Version to 4.5.1
  * Raise debhelper-compat level to 13

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Jan 2021 19:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: volatildap
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Homepage: https://github.com/rbarrois/volatildap/
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.2.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/volatildap.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/volatildap
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/volatildap.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/volatildap
 
 Package: python3-volatildap
 Architecture: all
